Sales Channels
A Sales Channel is a container for information to assist onboarding a Merchant to accept payment.
Sales Channel Model
Attributes
Create Sales Channel experimental
This endpoint allows you to create an Sales Channel.
Attributes
name
stringrequiredtype
stringrequiredaccountId
stringrequiredproviderSalesChannelId
stringdeviceId
booleandeviceModel
booleandeviceSerialNumber
booleannotificationEmail
stringnotificationFrequency
stringnotificationUrl
string
Errors
ACCOUNT_TYPE_INVALID
403
curl -X POST https://service.centrapay.com/api/sales-channels \-H 'content-type: application/json' \-H 'x-api-key: <TOKEN>' \-d '{ "accountId": "Jaim1Cu1Q55uooxSens6yk", "deviceId": true, "deviceModel": true, "deviceSerialNumber": true, "externalId": true, "name": "My Sales Channel", "notificationEmail": "support@centrapay.com", "notificationFrequency": "weekly", "providerSalesChannelId": "sc_5efbe17d96c083633e2b9241", "type": "reseller"}'{ "accountId": "Jaim1Cu1Q55uooxSens6yk", "createdAt": "2021-08-25T00:02:49.488Z", "createdBy": "crn::user:b657195e-dc2f-11ea-8566-e7710d592c99", "deviceId": true, "deviceModel": true, "deviceSerialNumber": true, "externalId": true, "id": "sc_WRhAxxWpTKb5U7pXyxQjjY", "name": "My Sales Channel", "notificationEmail": "support@centrapay.com", "notificationFrequency": "weekly", "providerSalesChannelId": "sc_5efbe17d96c083633e2b9241", "test": true, "type": "reseller", "updatedAt": "2021-08-25T00:02:49.488Z", "updatedBy": "crn::user:b657195e-dc2f-11ea-8566-e7710d592c99"}